From 9dc3ea37da4cc487bbe50b2f2861eba2e9f1c17d Mon Sep 17 00:00:00 2001
From: Luke Leighton <lkcl@lkcl.net>
Date: Sat, 11 Sep 2010 13:23:41 +0100
Subject: [PATCH 04/34] add pyjsglade builder file for loginpanel

---
 .../client/ProxiedWeb/gui/public/gnumedweb.xml     |  102 ++++++++++++++++++++
 1 files changed, 102 insertions(+), 0 deletions(-)
 create mode 100644 gnumed/gnumed/client/ProxiedWeb/gui/public/gnumedweb.xml

diff --git a/gnumed/gnumed/client/ProxiedWeb/gui/public/gnumedweb.xml b/gnumed/gnumed/client/ProxiedWeb/gui/public/gnumedweb.xml
new file mode 100644
index 0000000..d3ea67e
--- /dev/null
+++ b/gnumed/gnumed/client/ProxiedWeb/gui/public/gnumedweb.xml
@@ -0,0 +1,102 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<pyjsglade>
+<properties>
+	<property name="xmlfile" value="/home/lkcl/src/pyjsglade/src/gnumedweb.xml" />
+	<property name="version" value="0.1" />
+</properties>
+<components>
+	<component id="LoginPanel" name="VerticalPanel" type="Panel" index="None" left="313" top="363" visible="True">
+		<properties name="elements">
+		</properties>
+		<properties name="layout">
+			<property name="spacing" value="8" />
+			<property name="padding" value="0" />
+		</properties>
+		<properties name="common">
+			<property name="name" value="LoginPanel" />
+		</properties>
+		<components>
+			<component id="imgImage1" name="Image" type="Widget" index="0">
+				<properties name="widget">
+					<property name="url" value="images/gnumedlogo.png" />
+				</properties>
+				<properties name="common">
+					<property name="name" value="imgImage1" />
+				</properties>
+			</component>
+			<component id="CaptionPanel1" name="CaptionPanel" type="Panel" index="1">
+				<properties name="widget">
+					<property name="caption" value="GNUmed Default 0.7.7" />
+				</properties>
+				<properties name="elements">
+				</properties>
+				<properties name="common">
+					<property name="name" value="CaptionPanel1" />
+				</properties>
+				<components>
+					<component id="Grid1" name="Grid" type="Panel" index="0">
+						<properties name="elements">
+						</properties>
+						<properties name="common">
+							<property name="name" value="Grid1" />
+						</properties>
+						<components>
+							<component id="lblusername" name="HTML" type="Widget" index="(0, 0)">
+								<properties name="widget">
+									<property name="text" value="username" />
+								</properties>
+								<properties name="common">
+									<property name="name" value="lblusername" />
+								</properties>
+							</component>
+							<component id="username" name="TextBox" type="Widget" index="(0, 1)">
+								<properties name="widget">
+									<property name="text" value="any-doc" />
+								</properties>
+								<properties name="common">
+									<property name="name" value="username" />
+								</properties>
+							</component>
+							<component id="lblpassword" name="HTML" type="Widget" index="(1, 0)">
+								<properties name="widget">
+									<property name="text" value="password" />
+								</properties>
+								<properties name="common">
+									<property name="name" value="lblpassword" />
+								</properties>
+							</component>
+							<component id="password" name="PasswordTextBox" type="Widget" index="(1, 1)">
+								<properties name="widget">
+									<property name="text" value="password" />
+								</properties>
+								<properties name="common">
+									<property name="name" value="password" />
+								</properties>
+							</component>
+						</components>
+					</component>
+				</components>
+			</component>
+			<component id="button_login" name="Button" type="Widget" index="2">
+				<properties name="widget">
+					<property name="label" value="Login" />
+				</properties>
+				<properties name="common">
+					<property name="name" value="button_login" />
+				</properties>
+				<properties name="events">
+					<property name="onClick" value="onLoginClicked" />
+				</properties>
+			</component>
+			<component id="status" name="HTML" type="Widget" index="3">
+				<properties name="widget">
+					<property name="text" value=" " />
+				</properties>
+				<properties name="common">
+					<property name="name" value="status" />
+				</properties>
+			</component>
+		</components>
+	</component>
+</components>
+</pyjsglade>
-- 
1.7.1