From 5ba5b3c252e7829e28e77af64673ae7f183c3083 Mon Sep 17 00:00:00 2001
From: Luke Leighton <lkcl@lkcl.net>
Date: Mon, 13 Sep 2010 18:20:19 +0100
Subject: [PATCH 22/34] add provider inbox pyjsglade

---
 .../client/ProxiedWeb/gui/public/gnumedweb.xml     |  117 ++++++++++++++++++++
 1 files changed, 117 insertions(+), 0 deletions(-)

diff --git a/gnumed/gnumed/client/ProxiedWeb/gui/public/gnumedweb.xml b/gnumed/gnumed/client/ProxiedWeb/gui/public/gnumedweb.xml
index 01b24e8..d4864d7 100644
--- a/gnumed/gnumed/client/ProxiedWeb/gui/public/gnumedweb.xml
+++ b/gnumed/gnumed/client/ProxiedWeb/gui/public/gnumedweb.xml
@@ -143,5 +143,122 @@
 			</component>
 		</components>
 	</component>
+	<component id="ProviderInbox" name="DockPanel" type="Panel" index="None" left="252" top="370" visible="True">
+		<properties name="elements">
+		</properties>
+		<properties name="layout">
+			<property name="spacing" value="0" />
+			<property name="padding" value="4" />
+			<property name="width" value="100%" />
+			<property name="border" value="1" />
+		</properties>
+		<properties name="common">
+			<property name="name" value="ProviderInbox" />
+		</properties>
+		<components>
+			<component id="None" index="(1, 'south')">
+			</component>
+			<component id="None" index="(2, 'west')">
+			</component>
+			<component id="None" index="(3, 'east')">
+			</component>
+			<component id="lbTitle" name="HTML" type="Widget" index="(0, 'north')">
+				<properties name="widget">
+					<property name="text" value="Provider Inbox" />
+				</properties>
+				<properties name="common">
+					<property name="name" value="lbTitle" />
+				</properties>
+			</component>
+			<component id="hpShow" name="HorizontalPanel" type="Panel" index="(5, 'north')">
+				<properties name="elements">
+				</properties>
+				<properties name="layout">
+					<property name="spacing" value="0" />
+					<property name="padding" value="0" />
+				</properties>
+				<properties name="common">
+					<property name="name" value="hpShow" />
+				</properties>
+				<components>
+					<component id="HTML2" name="HTML" type="Widget" index="0">
+						<properties name="widget">
+							<property name="text" value="Show messages:" />
+						</properties>
+						<properties name="common">
+							<property name="name" value="HTML2" />
+						</properties>
+					</component>
+					<component id="rdbAll" name="RadioButton" type="Widget" index="1">
+						<properties name="widget">
+							<property name="group" value="messages" />
+							<property name="label" value="all" />
+						</properties>
+						<properties name="common">
+							<property name="name" value="rdbAll" />
+						</properties>
+						<properties name="events">
+							<property name="onClick" value="onAllMessagesSelected" />
+						</properties>
+					</component>
+					<component id="rdbActive" name="RadioButton" type="Widget" index="2">
+						<properties name="widget">
+							<property name="group" value="messages" />
+							<property name="label" value="Active-patient related" />
+						</properties>
+						<properties name="common">
+							<property name="name" value="rdbActive" />
+						</properties>
+						<properties name="events">
+							<property name="onClick" value="onPatientMessagesSelected" />
+						</properties>
+					</component>
+				</components>
+			</component>
+			<component id="grid" name="Grid" type="Panel" index="(4, 'center')">
+				<properties name="elements">
+				</properties>
+				<properties name="common">
+					<property name="name" value="grid" />
+				</properties>
+				<components>
+					<component id="None" index="(0, 0)">
+					</component>
+					<component id="date" name="HTML" type="Widget" index="(0, 1)">
+						<properties name="widget">
+							<property name="text" value="date" />
+						</properties>
+						<properties name="common">
+							<property name="name" value="date" />
+						</properties>
+					</component>
+					<component id="category" name="HTML" type="Widget" index="(0, 2)">
+						<properties name="widget">
+							<property name="text" value="category" />
+						</properties>
+						<properties name="common">
+							<property name="name" value="category" />
+						</properties>
+					</component>
+					<component id="message" name="HTML" type="Widget" index="(0, 4)">
+						<properties name="widget">
+							<property name="text" value="message" />
+						</properties>
+						<properties name="common">
+							<property name="name" value="message" />
+						</properties>
+					</component>
+					<component id="type" name="HTML" type="Widget" index="(0, 3)">
+						<properties name="widget">
+							<property name="text" value="type" />
+						</properties>
+						<properties name="common">
+							<property name="name" value="type" />
+						</properties>
+					</component>
+				</components>
+			</component>
+		</components>
+	</component>
 </components>
 </pyjsglade>
-- 
1.7.1