From 4a4ea4788cc30c3f026d3c90332e9fa44efae8ae Mon Sep 17 00:00:00 2001
From: Luke Leighton <lkcl@lkcl.net>
Date: Tue, 14 Sep 2010 10:18:01 +0100
Subject: [PATCH 32/34] add patient select dialog to pyjsglade file

---
 .../client/ProxiedWeb/gui/public/gnumedweb.xml     |  126 +++++++++++++++++++-
 1 files changed, 125 insertions(+), 1 deletions(-)

diff --git a/gnumed/gnumed/client/ProxiedWeb/gui/public/gnumedweb.xml b/gnumed/gnumed/client/ProxiedWeb/gui/public/gnumedweb.xml
index 744866d..d2ffbf4 100644
--- a/gnumed/gnumed/client/ProxiedWeb/gui/public/gnumedweb.xml
+++ b/gnumed/gnumed/client/ProxiedWeb/gui/public/gnumedweb.xml
@@ -172,6 +172,22 @@
 			</component>
 			<component id="grid" name="Grid" type="Panel" index="(4, 'center')">
 				<properties name="elements">
+					<properties name="(0, 1)">
+						<property name="halign" value="left" />
+						<property name="valign" value="top" />
+					</properties>
+					<properties name="(0, 3)">
+						<property name="halign" value="left" />
+						<property name="valign" value="top" />
+					</properties>
+					<properties name="(0, 2)">
+						<property name="halign" value="left" />
+						<property name="valign" value="top" />
+					</properties>
+					<properties name="(0, 4)">
+						<property name="halign" value="left" />
+						<property name="valign" value="top" />
+					</properties>
 				</properties>
 				<properties name="common">
 					<property name="name" value="grid" />
@@ -215,7 +231,7 @@
 			</component>
 		</components>
 	</component>
-	<component id="ProviderInbox" name="DockPanel" type="Panel" index="None" left="357" top="405" visible="True">
+	<component id="ProviderInbox" name="DockPanel" type="Panel" index="None" left="455" top="498" visible="True">
 		<properties name="elements">
 		</properties>
 		<properties name="layout">
@@ -244,6 +260,22 @@
 			</component>
 			<component id="grid" name="Grid" type="Panel" index="(4, 'center')">
 				<properties name="elements">
+					<properties name="(0, 1)">
+						<property name="halign" value="left" />
+						<property name="valign" value="top" />
+					</properties>
+					<properties name="(0, 3)">
+						<property name="halign" value="left" />
+						<property name="valign" value="top" />
+					</properties>
+					<properties name="(0, 2)">
+						<property name="halign" value="left" />
+						<property name="valign" value="top" />
+					</properties>
+					<properties name="(0, 4)">
+						<property name="halign" value="left" />
+						<property name="valign" value="top" />
+					</properties>
 				</properties>
 				<properties name="common">
 					<property name="name" value="grid" />
@@ -332,5 +364,97 @@
 			</component>
 		</components>
 	</component>
+	<component id="PatientSelect" name="DialogBox" type="Panel" index="None" left="251" top="245" visible="True">
+		<properties name="widget">
+			<property name="caption" value="DialogBox1" />
+		</properties>
+		<properties name="elements">
+		</properties>
+		<properties name="common">
+			<property name="name" value="PatientSelect" />
+		</properties>
+		<components>
+			<component id="vp" name="VerticalPanel" type="Panel" index="0">
+				<properties name="elements">
+				</properties>
+				<properties name="layout">
+					<property name="spacing" value="0" />
+					<property name="padding" value="0" />
+				</properties>
+				<properties name="common">
+					<property name="name" value="vp" />
+				</properties>
+				<components>
+					<component id="HTML1" name="HTML" type="Widget" index="0">
+						<properties name="widget">
+							<property name="text" value="Please select a Patient" />
+						</properties>
+						<properties name="common">
+							<property name="name" value="HTML1" />
+						</properties>
+					</component>
+					<component id="HorizontalPanel1" name="HorizontalPanel" type="Panel" index="2">
+						<properties name="elements">
+						</properties>
+						<properties name="layout">
+							<property name="spacing" value="0" />
+							<property name="padding" value="0" />
+						</properties>
+						<properties name="common">
+							<property name="name" value="HorizontalPanel1" />
+						</properties>
+						<components>
+							<component id="btnOk" name="Button" type="Widget" index="0">
+								<properties name="widget">
+									<property name="label" value="OK" />
+								</properties>
+								<properties name="common">
+									<property name="name" value="btnOk" />
+								</properties>
+								<properties name="events">
+									<property name="onClick" value="onPatientSelectOk" />
+								</properties>
+							</component>
+							<component id="btnCancel" name="Button" type="Widget" index="1">
+								<properties name="widget">
+									<property name="label" value="Cancel" />
+								</properties>
+								<properties name="common">
+									<property name="name" value="btnCancel" />
+								</properties>
+								<properties name="events">
+									<property name="onClick" value="onPatientSelectCancel" />
+								</properties>
+							</component>
+						</components>
+					</component>
+					<component id="sp" name="ScrollPanel" type="Panel" index="1">
+						<properties name="elements">
+						</properties>
+						<properties name="layout">
+							<property name="width" value="600px" />
+							<property name="height" value="400px" />
+						</properties>
+						<properties name="common">
+							<property name="name" value="sp" />
+						</properties>
+						<components>
+							<component id="grid" name="Grid" type="Panel" index="0">
+								<properties name="elements">
+								</properties>
+								<properties name="common">
+									<property name="name" value="grid" />
+								</properties>
+								<components>
+									<component id="None" index="(0, 0)">
+									</component>
+								</components>
+							</component>
+						</components>
+					</component>
+				</components>
+			</component>
+		</components>
+	</component>
 </components>
 </pyjsglade>
-- 
1.7.1